## org.hibernate.loader.custom
Class NonScalarReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn

All Implemented Interfaces:
  Return

Direct Known Subclasses:
  CollectionReturn, FetchReturn, RootReturn

    public abstract class NonScalarReturn

extends Object
implements Return

Represents some non-scalar (entity/collection) return within the query result.

Author:
  Steve Ebersole

Constructor Summary
`NonScalarReturn(String alias, LockMode lockMode)`

Method Summary
`String` `getAlias()`
`LockMode` `getLockMode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonScalarReturn

    public NonScalarReturn(String alias,
                           LockMode lockMode)

Method Detail

### getAlias

    public String getAlias()

### getLockMode

    public LockMode getLockMode()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.